Package io.vertx.ext.mail

## Enum DKIMSignAlgorithm

- java.lang.Object
- - java.lang.Enum<DKIMSignAlgorithm>
  - - io.vertx.ext.mail.DKIMSignAlgorithm

- All Implemented Interfaces:
    `Serializable`, `Comparable<DKIMSignAlgorithm>`

      public enum DKIMSignAlgorithm
      extends Enum<DKIMSignAlgorithm>

  Signing Algorithm specified by DKIM spec.
  Author:
    Lin Gao

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `RSA_SHA1` |
    `RSA_SHA256` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `dkimAlgoName()` | Gets the algorithm name specified by the DKIM specification.
    `String` | `hashAlgoId()` | Gets the Hash Algorithm ID that can be identified by the `HashingStrategy`.
    `String` | `hashAlgorithm()` | Gets the hash algorithm to produce the hash of the message.
    `String` | `signatureAlgorithm()` | Gets the Signature Algorithm, like: SHA256withRSA, SHA1withRSA.
    `static DKIMSignAlgorithm` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static DKIMSignAlgorithm[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### RSA_SHA1

          public static final DKIMSignAlgorithm RSA_SHA1

    - #### RSA_SHA256

          public static final DKIMSignAlgorithm RSA_SHA256

  - ### Method Detail

    - #### values

          public static DKIMSignAlgorithm[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DKIMSignAlgorithm c : DKIMSignAlgorithm.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DKIMSignAlgorithm valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### dkimAlgoName

          public String dkimAlgoName()

      Gets the algorithm name specified by the DKIM specification. See: https://tools.ietf.org/html/rfc6376#section-3.3
      Returns:
        the algorithm name

    - #### hashAlgorithm

          public String hashAlgorithm()

      Gets the hash algorithm to produce the hash of the message.
      Returns:
        the hash algorithm

    - #### hashAlgoId

          public String hashAlgoId()

      Gets the Hash Algorithm ID that can be identified by the `HashingStrategy`.
      Returns:
        the id of the Hash Algorithm.

    - #### signatureAlgorithm

          public String signatureAlgorithm()

      Gets the Signature Algorithm, like: SHA256withRSA, SHA1withRSA.
      Returns:
        the signature algorithm